summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2018-04-01 00:17:44 +0200
committerManuel Rüger <mrueg@gentoo.org>2018-04-01 00:17:44 +0200
commit43126ab5bde0ab99eddad48f0720ba8f3dc7bdb5 (patch)
tree229f13e91318365c5449cc1dd1236e2a133d2f8f /dev-util/pycharm-professional
parentdev-util/pycharm-community: Version bump to 2018.1 (diff)
downloadgentoo-43126ab5bde0ab99eddad48f0720ba8f3dc7bdb5.tar.gz
gentoo-43126ab5bde0ab99eddad48f0720ba8f3dc7bdb5.tar.bz2
gentoo-43126ab5bde0ab99eddad48f0720ba8f3dc7bdb5.zip
dev-util/pycharm-professional: Version bump to 2018.1
Package-Manager: Portage-2.3.27, Repoman-2.3.9
Diffstat (limited to 'dev-util/pycharm-professional')
-rw-r--r--dev-util/pycharm-professional/Manifest1
-rw-r--r--dev-util/pycharm-professional/pycharm-professional-2018.1.ebuild57
2 files changed, 58 insertions, 0 deletions
diff --git a/dev-util/pycharm-professional/Manifest b/dev-util/pycharm-professional/Manifest
index 00a5067eecc..896a300dc4a 100644
--- a/dev-util/pycharm-professional/Manifest
+++ b/dev-util/pycharm-professional/Manifest
@@ -1,3 +1,4 @@
DIST pycharm-professional-2017.3.3.tar.gz 356063034 BLAKE2B afe45081582983c05590602ed10b66ee687bd3ef4995bb0ae0404dddefe795ff8e93af2ac384ffa37600f2eebc882fa1bc6de8b6831341957ea69bda4e4632c3 SHA512 1e6d9fc1de13ecea5f4a2cf5bd9f2d7116a40802c24cf21ac731183d4b20aab480e34e039f1ca2fa36b4d873c85204febea975392d73da5a32f239037c7bd59e
DIST pycharm-professional-2017.3.4.tar.gz 356283723 BLAKE2B 3d2abed57f0459e49034a6b081c69008628ec8a16322ce90e15e0a42c670554ea4eca66b73279ea0f9aeac116dc86e8d52590861d712ccdf93d2be31c2d1211e SHA512 8adc3c46b50c4ed895d0d40b0c235a047fcac7e4ab5262aa88ba69deffa9402b652bc69ec1ee3d7682900698d14bb2ecb7f82a89f998979c009fcadb98ef4517
DIST pycharm-professional-2017.3.tar.gz 358504339 BLAKE2B 4ac1eb3feed289326a0122e3e4f869d7be740db1fd8d1c5f5c80400a8d8aa2daa444d4fa279c33865aecec4af4a28999e10b100714a44aa1d772d7f598ac05f4 SHA512 b7a085eda5d3e4ca8a918009f80cd7d90a281f2e522718211b4813f199a9c3a8f38f9742600336c09db479691c789d852ddc1d99e9ee2b11876e85728ae51b44
+DIST pycharm-professional-2018.1.tar.gz 343431274 BLAKE2B b88ccc821a2e7d35bc2d19582c69493f23bd766c338c2b2964cc0c4993d308783245daf9d6a09fae5206c0d0eee7e1048fb265968b51f614ca4dc9c55c58a2c7 SHA512 a32069fd846e328caa1c0acae3821f73ce98f5268ad934e276adca5ff39371b017f2ce1246e808692fdce8d174f8191fd7c12ef893d0976262059df25e58f3c6
diff --git a/dev-util/pycharm-professional/pycharm-professional-2018.1.ebuild b/dev-util/pycharm-professional/pycharm-professional-2018.1.ebuild
new file mode 100644
index 00000000000..5dc7e67e051
--- /dev/null
+++ b/dev-util/pycharm-professional/pycharm-professional-2018.1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome2-utils readme.gentoo-r1 xdg
+
+DESCRIPTION="Intelligent Python IDE with unique code assistance and analysis"
+HOMEPAGE="http://www.jetbrains.com/pycharm/"
+SRC_URI="http://download.jetbrains.com/python/${P}.tar.gz"
+
+LICENSE="PyCharm_Academic PyCharm_Classroom PyCharm PyCharm_OpenSource PyCharm_Preview"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND=">=virtual/jre-1.8
+ dev-python/pip"
+
+RESTRICT="mirror strip"
+
+QA_PREBUILT="opt/${PN}/bin/fsnotifier
+ opt/${PN}/bin/fsnotifier64
+ opt/${PN}/bin/fsnotifier-arm
+ opt/${PN}/bin/libyjpagent-linux.so
+ opt/${PN}/bin/libyjpagent-linux64.so"
+
+MY_PN=${PN/-professional/}
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+src_prepare() {
+ default
+
+ rm -rf jre || die
+}
+
+src_install() {
+ insinto /opt/${PN}
+ doins -r *
+
+ fperms a+x /opt/${PN}/bin/{pycharm.sh,fsnotifier{,64},inspect.sh}
+
+ dosym ../../opt/${PN}/bin/pycharm.sh /usr/bin/${PN}
+ newicon bin/${MY_PN}.png ${PN}.png
+ make_desktop_entry ${PN} ${PN} ${PN}
+
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+ gnome2_icon_cache_update
+}